@charset "utf-8";


/* 統一目的 */
:root {
    /*入力項目どうしの余白*/
    --form-margin-top: 20px;
    /*フォームラベルのフォントサイズ*/
    --form-font-size: 1rem;
    /*フォーム入力欄のborderスタイル*/
    --form-border-style: 1px solid #a9a9a9;
}



form {
    text-align: initial;
    width: 95%;
    background: #ffffff;
    margin: 0 auto;
    padding: 3% 5%;
    border: 2px solid #e8e8e8;
    border-radius: 15px;
}


fieldset {
    width: 100%;
    margin-top: var(--form-margin-top);
}

form>fieldset:first-of-type {
    margin-top: 0;
}

.form_label {
    font-size: var(--form-font-size);
    margin-top: var(--form-margin-top);
}

p.form_label>span {
    font-size: 0.9rem;
    color: #a9a9a9;
}


label.radio_wrap {
    margin-right: 5%;
}

input[type="radio"] {
    margin-right: 2%;
}


.ymd_flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: nowrap;

}

select {
    font-size: var(--form-font-size);
    width: 100%;
    padding-left: 10px;
    padding-right: 10px;
    text-align: center;
    border: var(--form-border-style);
    border-radius: 4px;
}

select[name="birthday_year"],
select[name="birthday_month"],
select[name="birthday_day"] {
    width: 30%;
}

.ymd_attention {
    color: #ff0000;
    font-size: 0.9rem;
}



input[name="name1"],
input[name="ruby1"],
input[name="nickname"],
input[name="mailaddress"],
input[name="password"] {
    border: var(--form-border-style);
    width: 100%;
    border-radius: 4px;
    padding: 2px 0;
    padding-left: 10px;
    font-size: var(--form-font-size);
}

input[name="name1"]:focus,
input[name="ruby1"]:focus,
input[name="nickname"]:focus,
input[name="mailaddress"]:focus,
input[name="password"]:focus {
    padding-left: 10px;
}

/* プレースホルダーだけはoadding:0; */
input[name="name1"]:placeholder-shown,
input[name="ruby1"]:placeholder-shown,
input[name="nickname"]:placeholder-shown,
input[name="mailaddress"]:placeholder-shown,
input[name="password"]:placeholder-shown {
    padding-left: 0;
}





.pp_area {
    width: 100%;
    height: 3.6rem;
    padding: 0.5rem 1rem;
    border-radius: 4px;
    border: var(--form-border-style);
    overflow: hidden scroll;
    white-space: pre-wrap;
    font-size: 10px;
}


.pp_txt {
    color: #696969;
    font-size: 10px;

}

.pp_txt a {
    color: #0036d3;
    text-decoration: underline;
}


.label_consent_wrap {
    margin-top: var(--form-margin-top);
    display: block;
    text-align: center;
}


.btn_orange {
    border: none;
    display: block;
    width: 100%;
    margin: 1% auto 0;
    padding: 0.5rem 0;

    color: #ffffff;
    font-size: 1.5rem;
    ;
    font-weight: bold;

    text-align: center;
    border-radius: 4px;
    background: #ffb76b;
    background: linear-gradient(to bottom, #ffb76b 0%, #ff9c3f 100%);
    box-shadow: 0 1px 8px 0px #00000050;
}

a.registered {
    margin: 30px auto 16px;
    text-align: center;
    text-decoration: revert;
    display: block;
    color: revert;
}


/* バリデカラー */
form .valid_ng_border {
    animation: valid_ng_border 0.5s 0s linear 2 alternate;
    background: #ffd4d4;
}


@keyframes valid_ng_border {

    0%,
    15% {
        border-color: red;
        background: #ffd4d4;
    }

    85%,
    100% {
        border-color: #ffeaea9f;
        background: #fff1f1ff;
    }
}